from Common import Config


def conv_shape(input, kernel_size, stride, padding=0):
    return (input + 2 * padding - kernel_size) // stride + 1


class NovelDConfig(Config):
    rnd_feature_net_arch:dict
    rnd_hidden_size:int

    rnd_use_reward_norm: bool = False
    rnd_state_norm:bool=True
    rnd_int_value_non_episodic:bool=False

    noveld_alpha:float=0.5
    use_erir:bool=True









